commit 451cbe5c24f2af7ed505f1422af6ad4e8f05205b
Author: Jonas Bernoulli <jonas@bernoul.li>
Date:   Sun Feb 19 13:37:28 2023 +0100

    Inhibit use of libgit by default

--- lisp/magit-git.el
+++ lisp/magit-git.el
@@ -66,8 +66,11 @@
 
 ;;; Git implementations
 
-(defvar magit-inhibit-libgit nil
-  "Whether to inhibit the use of libgit.")
+(defvar magit-inhibit-libgit t
+  "Whether to inhibit the use of libgit.
+Use of libgit is inhibited by default because support for libgit
+in magit is only a stub for now.  There is no benefit in using
+it.")
 
 (defvar magit--libgit-available-p 'unknown
   "Whether libgit is available.
